=head1 NAME

B<rpower> - remote power control of nodes

=head1 SYNOPSIS

B<rpower> I<noderange> [B<--nodeps>] {B<on>|B<off>|B<stat>|B<state>|B<reset>|B<boot>|B<cycle>}

B<rpower> [B<-h>|B<--help>|B<-v>|B<--version>]

=head1 DESCRIPTION

B<rpower> controls the power for a single or range of nodes,  via the out-of-band path.

=head1 OPTIONS

=over 4

=item B<on>

Turn power on.

=item B<off>

Turn power off.

=item B<stat>|B<state>

Print the current power state/status.

=item B<reset>

Send a hard reset.

=item B<boot>

If off, then power on.
If on, then hard reset.
This option is recommended over B<cycle>.

=item B<cycle>

Power off, then on.

=item B<--nodeps>

Do not use dependency table (default is to use dependency table). Valid only with on|off|boot|reset|cycle for blade power method.

=item B<-h>|B<--help>

Prints out a brief usage message.

=item B<-v>, B<--version>

Display the version number.

=back


=head1 EXAMPLES

=over 3

=item *

B<rpower> I<node4,node5 stat>

 node4: on
 node5: off

=item *

B<rpower> I<node5 on>

 node5: on

=back


=head1 SEE ALSO

L<noderange(3)|noderange.3>, L<rcons(1)|rcons.1>, L<rinv(1)|rinv.1>, L<rvitals(1)|rvitals.1>, L<rscan(1)|rscan.1>


